OpenGLRaw-1.3.0.0: A raw binding for the OpenGL graphics system

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de
Safe Haskell | None

Graphics.Rendering.OpenGL.Raw.EXT.PointParameters

Contents

- Functions
- Tokens

Description

All raw functions and tokens from the EXT_point_parameters extension, see http://www.opengl.org/registry/specs/EXT/point_parameters.txt.

Synopsis

- glPointParameterf :: GLenum -> GLfloat -> IO ()
- glPointParameterfv :: GLenum -> Ptr GLfloat -> IO ()
- gl_POINT_SIZE_MIN :: GLenum
- gl_POINT_SIZE_MAX :: GLenum
- gl_POINT_FADE_THRESHOLD_SIZE :: GLenum
- gl_DISTANCE_ATTENUATION :: GLenum

# Functions

glPointParameterf :: GLenum -> GLfloat -> IO ()

glPointParameterfv :: GLenum -> Ptr GLfloat -> IO ()

# Tokens

gl_POINT_SIZE_MIN :: GLenum

gl_POINT_SIZE_MAX :: GLenum

gl_POINT_FADE_THRESHOLD_SIZE :: GLenum

gl_DISTANCE_ATTENUATION :: GLenum